#
# spec file for package estic (Version 1.60)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         estic
Summary:      Tool for configuration ISTEC ISDN-device by Emmerich
Version:      1.60
Release:      59
Copyright:    free
Group:        Utilities/System
URL:          http://www.von-bassewitz.de/uz/estic/estic.html
Source0:      %{name}-%{version}-sources.tar.bz2		
Source1:      README.SuSE
Patch0:	      %{name}.diff
Patch1:       %{name}-%{version}-linux.patch		
Patch2:       %{name}-%{version}-setting.patch		
Patch3:       %{name}-%{version}-arch.patch		
BuildRoot:    %{_tmppath}/%{name}-build

%description
Tool for configuration ISTEC ISDN-device by Emmerich.

Authors:
--------
    Hergen Lehmann <HERGEN_LEHMANN@TBX.BerliNet.DE>
    Peter Dieth <dieth@seicom.net>
    Terry Lambert <terry@cs.weber.edu>
    Jrgen Egeling <ry90@jecalpha.ka.sub.org>
    Ralf W. Stephan <ralf@ark.franken.de>
    Norbert Kluge <nkl@scharl.hb.north.de>
    Christian Kratzer <ck@toplink.de>
    Torsten Blum <torstenb@tlk.de>
    Ralph-Thomas Aussem <1aussem@informatik.uni-hamburg.de>
    Markus Bellenberg <jmb@outbreak.gun.de>
    Michael Peschel <mipe@ibb.schwaben.com>
    Oliver von Bueren <ovb@swissmail.com>
    Oliver Daudey <oliver@xs4all.nl>
    Norbert Richter <nr@prog-link.com>

SuSE series: ap

%prep
%setup -n estic
%patch0
cd ..
%patch1
%patch2
%patch3
#
cp %{S:1} .

%build
cd ../spunk
cp make/linux.mak Makefile
make dep
make
#
cd ../areacode
cp make/linux.mak Makefile
make dep
make
#
cd ../estic
cp make/linux.mak Makefile
make dep
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/
install -d $RPM_BUILD_ROOT/dev/
install -d $RPM_BUILD_ROOT/usr/bin/
install -d $RPM_BUILD_ROOT/usr/lib/%{name}/
#
install -m 755 estic $RPM_BUILD_ROOT/usr/bin/
install -m 644 samples/estic.ini $RPM_BUILD_ROOT/etc/
install -m 644 estic.res $RPM_BUILD_ROOT/usr/lib/%{name}/
install -m 644 samples/alias.dat $RPM_BUILD_ROOT/usr/lib/%{name}/
install -m 644 samples/cron.dat $RPM_BUILD_ROOT/usr/lib/%{name}/
#
cd ../areacode
install -m 755 actest $RPM_BUILD_ROOT/usr/bin/
install -m 755 acvers $RPM_BUILD_ROOT/usr/bin/
install -m 644 areacode.dat $RPM_BUILD_ROOT/usr/lib/%{name}/
#
ln -s /dev/ttySx $RPM_BUILD_ROOT/dev/COM2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc estic.doc estic.chg 
%doc ../spunk/doc/spunk.doc ../spunk/copying.txt 
%doc ../areacode/areacode.doc
%doc ../README.SuSE
/etc/*
/dev/*
/usr/bin/*
/usr/lib/%{name}

%changelog -n estic
* Thu Jun 21 2001 - pmladek@suse.cz
- fixed to compile on axp, ia64 and s390
* Mon Jun 18 2001 - pmladek@suse.cz
- package created
- fixed default settings:
  * english as default language
  * color as view mode
  * default position of data and configuration files
